#!/urs/bin/env ruby
# -*- coding: utf-8 -*-

puts("こんにちは!何でもできる財布です。")
while true
puts("財布に何円入れますか?")
kingaku = gets.to_i
puts("menu")
puts("0:お金の管理")
puts("1:今月の電気代")
puts("2:冷蔵庫の中の賞味・消費期限")
  kinou =%w("0:お金の管理 1:今月の電気代 2:冷蔵庫の中の賞味・消費期限 ")

  puts("どの機能を使いますか?")
  a=gets.to_i
  if a == 0
    printf("今財布には%d円入っています。\n",kingaku)
    break
  elsif a == 1
    puts"今月は5468円かかりました"
    if kingaku-5468 > 0
      printf("なので、財布の中のお金は%d円になりました。\n",kingaku-5468)
      break
    else
      puts("財布はからになっちゃったよ")
      redo
    end
  elsif a == 2
    puts" 冷蔵庫のどの食べ物の賞味期限・消費期限を表示しますか"
    puts"0:ペットボトルの麦茶"
    puts"1:水入り豆腐"
    puts"2:お惣菜"
    puts"3:きゅうり"
    puts"4:キャベツ"
    reizouko =%w("0:ペットボトルの麦茶 1:豆腐 2:お惣菜 3:きゅうり 4:キャベツ")
    b=gets.to_i
  if b == 0
    puts"12ヶ月後です"
  break
  elsif b == 1
    puts"3日から10日後です"
    break
  elsif b == 2
    puts"なるべく今日中に食べましょう"
    break
  elsif b == 3
    puts"4日から5日後です"
    break
  elsif b == 4
    puts"まるごと1個の場合、2週間から1ヶ月後です"
    break
  end
    end
  end


